Skip to main content
`Ctrl`+`K`

# TSSetErrorIfStepFails

Immediately error if no step succeeds during `TSSolve()`

## Synopsis

    #include "petscts.h"
    PetscErrorCode TSSetErrorIfStepFails(TS ts, PetscBool err)

Not Collective

## Input Parameters

- ts - `TS` context

- err - `PETSC_TRUE` to error if no step succeeds, `PETSC_FALSE` to return without failure

## Options Database Key

- -ts_error_if_step_fails - Error if no step succeeds

## See Also

TS: Scalable ODE and DAE Solvers, `TS`, `TSGetSNESIterations()`, `TSGetKSPIterations()`, `TSSetMaxStepRejections()`, `TSGetStepRejections()`, `TSGetSNESFailures()`, `TSGetConvergedReason()`

## Level

intermediate

## Location

src/ts/interface/ts.c

Index of all TS routines
Table of Contents for all manual pages
Index of all manual pages